/* Definitions common to all weather-related programs.
   Rick Smereka, Copyright (C) 2002.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original Linux version Dec/2002, Rick Smereka */

/* Bbuuzzb weather table names */

#define FORECAST_TABLE_PREFIX "weather.forecast."
#define FORECAST_CONFIG_TABLE "weather.forecast.config"
#define ARCHIVE_TABLE_PREFIX "weather.archive."
#define ARCHIVE_MINUTE_TABLE_PREFIX "weather.archive.minute."

/* Bbuuzzb forecast config table field definitions */

#define FORECAST_CONFIG_FIELD_PROFILE 1
#define FORECAST_CONFIG_FIELD_NAME 2
#define FORECAST_CONFIG_FIELD_HEAD 3 
#define FORECAST_CONFIG_FIELD_TAIL 4
#define FORECAST_CONFIG_FIELD_LOW 5
#define FORECAST_CONFIG_FIELD_HIGH 6
#define FORECAST_CONFIG_FIELD_SPREAD_LOW 7
#define FORECAST_CONFIG_FIELD_SPREAD_HIGH 8
#ifndef OS_DOS
#define FORECAST_CONFIG_FIELD_MONTH_SPREAD_LOW 9
#define FORECAST_CONFIG_FIELD_MONTH_SPREAD_HIGH 10
#define FORECAST_CONFIG_FIELD_MONTH_SPREAD_AVG 11
#define FORECAST_CONFIG_FIELD_YEAR_SPREAD_LOW 12
#define FORECAST_CONFIG_FIELD_YEAR_SPREAD_HIGH 13
#define FORECAST_CONFIG_FIELD_YEAR_SPREAD_AVG 14
#endif

/* Bbuuzzb forecast table field definitions */

#define FORECAST_FIELD_DATE 1 

/* forecast table field scale definitions */

#define FORECAST_FIELD_SCALE 0
#define FORECAST_FIELD_SCALE_SPREAD 1

/* Bbuuzzb archive table field definitions */

#define ARCHIVE_FIELD_DATE 1

/* daily summary record field definitions */

#define ARCHIVE_DS_FIELD_MEAN 2
#define ARCHIVE_DS_FIELD_HIGH 3
#define ARCHIVE_DS_SUBFIELD_HIGH_TEMP 1
#define ARCHIVE_DS_SUBFIELD_HIGH_TIME 2
#define ARCHIVE_DS_FIELD_LOW 4
#define ARCHIVE_DS_SUBFIELD_LOW_TEMP 1
#define ARCHIVE_DS_SUBFIELD_LOW_TIME 2
#define ARCHIVE_DS_FIELD_HEAT 5
#define ARCHIVE_DS_FIELD_COOL 6
#define ARCHIVE_DS_FIELD_RAIN 7
#define ARCHIVE_DS_FIELD_AVG_WIND 8
#define ARCHIVE_DS_FIELD_WIND 9
#define ARCHIVE_DS_SUBFIELD_WIND_SPEED 1
#define ARCHIVE_DS_SUBFIELD_WIND_TIME 2
#define ARCHIVE_DS_FIELD_WIND_DIR 10

/* daily summary record field scale definitions */

#define ARCHIVE_DS_FIELD_SCALE_MEAN 1
#define ARCHIVE_DS_SUBFIELD_SCALE_HIGH_TEMP 1
#define ARCHIVE_DS_SUBFIELD_SCALE_LOW_TEMP 1
#define ARCHIVE_DS_FIELD_SCALE_HEAT 1
#define ARCHIVE_DS_FIELD_SCALE_COOL 1
#define ARCHIVE_DS_FIELD_SCALE_RAIN 2
#define ARCHIVE_DS_FIELD_SCALE_AVG_WIND 1
#define ARCHIVE_DS_SUBFIELD_SCALE_WIND_SPEED 1
#define ARCHIVE_DS_FIELD_SCALE_WIND_DIR 1

/* WeatherLink 'download.txt' field definitions */

#define WLINK_FIELD_DATE 1
#define WLINK_FIELD_TIME 2
#define WLINK_FIELD_OUTSIDE_TEMP 4

/* VWS 'dbase.csv' field definitions */

#define VWS_FIELD_DATIME 1
#define VWS_FIELD_OUTSIDE_TEMP 8

/* VWS 'dbase.csv' field delimiter */

#define VWS_DELIM ','
